local addonName, vars = ...
vars.svnrev = {}
vars.svnrev["glyphdata.lua"] = tonumber(("$Revision: 126 $"):match("%d+"))

vars.glyphlevel = { 
  [1] = 25, -- minor
  [2] = 25, -- major
  [3] = 50, -- minor
  [4] = 50, -- major
  [5] = 75, -- minor
  [6] = 75, -- major
}

vars.glyphdata = {
-- Warrior  1 = Arms, 2 = Fury, 3 = Protection
  -- [931] = ,     	-- [Bull Rush]
  -- [496] = ,     	-- [Gag Order]
     [493] = 3,     	-- [Heavy Repercussions] (Protection)
  -- [504] = ,     	-- [Hoarse Voice]
     [501] = 3,     	-- [Hold the Line] (Protection)
  -- [485] = ,     	-- [Long Charge]
     [509] = 2,     	-- [Raging Wind] (Fury)
  -- [495] = ,     	-- [Rude Interruption]
  -- [766] = ,     	-- [Spell Reflection]
     [505] = 1,     	-- [Sweeping Strikes] (Arms)
  -- [487] = ,     	-- [Unending Rage]
  -- [508] = ,     	-- [Victory Rush]
  -- [767] = ,     	-- [Shield Wall]
  -- [763] = ,     	-- [Death From Above]
     [494] = 2,     	-- [Bloodthirst] (Fury)
  -- [491] = ,     	-- [Enraged Speed]
  -- [497] = ,     	-- [Blitz]
  -- [492] = ,     	-- [Hindering Strikes]
     [502] = 3,     	-- [Shield Slam] (Protection)
     [764] = {1,2},    	-- [Furious Sundering] (Arms, Fury)
     [499] = 1,     	-- [Overpower] (Arms)
     [927] = {1,2},    	-- [Colossus Smash] (Arms, Fury)
     [762] = {1,2},    	-- [Whirlwind] (Arms, Fury)
  -- [932] = ,     	-- [Recklessness]
     [489] = 1,     	-- [Mortal Strike] (Arms)
  -- [500] = ,     	-- [Hamstring]
     [1008] = 3,     	-- [Incite] (Protection)
  -- [507] = ,     	-- [Resonating Power]

-- Paladin  1 = Holy, 2 = Protection, 3 = Retribution
     [704] = 2,     	-- [Alabaster Shield] (Protection)
  -- [188] = ,     	-- [Avenging Wrath]
  -- [996] = ,     	-- [Battle Healer]
     [701] = 1,     	-- [Beacon of Light] (Holy)
  -- [200] = ,     	-- [Blessed Life]
  -- [193] = ,     	-- [Blinding Light]
     [189] = 2,     	-- [Consecration] (Protection)
     [560] = 2,     	-- [Dazing Shield] (Protection)
     [559] = 1,     	-- [Denounce] (Holy)
     [705] = 1,     	-- [Divine Plea] (Holy)
  -- [186] = ,     	-- [Divine Protection]
     [703] = 3,     	-- [Divine Storm] (Retribution)
  -- [198] = ,     	-- [Divinity]
  -- [183] = ,     	-- [Double Jeopardy]
     [194] = 2,     	-- [Final Wrath] (Protection)
  -- [455] = ,     	-- [Flash of Light]
     [191] = 2,     	-- [Focused Shield] (Protection)
     [702] = {2,3},    	-- [Hammer of the Righteous] (Protection, Retribution)
  -- [197] = ,     	-- [Harsh Words]
     [706] = 1,     	-- [Holy Shock] (Holy)
     [185] = 2,     	-- [Holy Wrath] (Protection)
     [196] = 1,     	-- [Illumination] (Holy)
  -- [561] = ,     	-- [Immediate Truth]
     [707] = 3,     	-- [Inquisition] (Retribution)
     [199] = 1,     	-- [Light of Dawn] (Holy)
     [1009] = 3,     	-- [Mass Exorcism] (Retribution)
  -- [930] = ,     	-- [Protector of the Innocent]
  -- [184] = ,     	-- [Rebuke]
     [187] = 3,     	-- [Templar's Verdict] (Retribution)
  -- [192] = ,     	-- [Turn Evil]
  -- [195] = ,     	-- [Word of Glory]

-- Shaman  1 = Elemental, 2 = Enhancement, 3 = Restoration
  -- [215] = ,     	-- [Capacitor Totem]
  -- [213] = ,     	-- [Chain Lightning]
  -- [230] = ,     	-- [Chaining]
  -- [231] = ,     	-- [Cleansing Waters]
     [736] = 2,     	-- [Feral Spirit] (Enhancement)
  -- [217] = ,     	-- [Fire Elemental Totem]
     [218] = 2,     	-- [Fire Nova] (Enhancement)
  -- [219] = ,     	-- [Flame Shock]
  -- [221] = ,     	-- [Frost Shock]
  -- [552] = ,     	-- [Ghost Wolf]
  -- [227] = ,     	-- [Grounding Totem]
     [474] = 2,     	-- [Healing Storm] (Enhancement)
  -- [222] = ,     	-- [Healing Stream Totem]
     [223] = 3,     	-- [Healing Wave] (Restoration)
  -- [753] = ,     	-- [Hex]
  -- [216] = ,     	-- [Purge]
     [737] = 3,     	-- [Riptide] (Restoration)
     [752] = 2,     	-- [Shamanistic Rage] (Enhancement)
     [214] = 2,     	-- [Spirit Walk] (Enhancement)
  -- [228] = ,     	-- [Spiritwalker's Grace]
  -- [226] = ,     	-- [Telluric Currents]
     [735] = 1,     	-- [Thunder] (Elemental)
  -- [224] = ,     	-- [Totemic Recall]
  -- [754] = ,     	-- [Totemic Vigor]
  -- [950] = ,     	-- [Unleashed Lightning]
     [212] = 1,     	-- [Unstable Earth] (Elemental)
     [211] = 3,     	-- [Water Shield] (Restoration)
  -- [220] = ,     	-- [Wind Shear]

-- Rogue  1 = Assassination, 2 = Combat, 3 = Subtlety
     [409] = 2,     	-- [Adrenaline Rush] (Combat)
  -- [392] = ,     	-- [Ambush]
     [394] = 2,     	-- [Blade Flurry] (Combat)
  -- [929] = ,     	-- [Blind]
  -- [406] = ,     	-- [Cheap Shot]
  -- [734] = ,     	-- [Cloak of Shadows]
  -- [395] = ,     	-- [Crippling Poison]
  -- [398] = ,     	-- [Debilitation]
  -- [397] = ,     	-- [Evasion]
  -- [399] = ,     	-- [Expose Armor]
  -- [400] = ,     	-- [Feint]
  -- [401] = ,     	-- [Garrote]
  -- [403] = ,     	-- [Gouge]
  -- [926] = ,     	-- [Kick]
  -- [396] = ,     	-- [Recuperate]
  -- [407] = ,     	-- [Sap]
  -- [391] = ,     	-- [Shadow Walk]
  -- [410] = ,     	-- [Shiv]
  -- [405] = ,     	-- [Smoke Bomb]
  -- [411] = ,     	-- [Sprint]
  -- [716] = ,     	-- [Stealth]
  -- [924] = ,     	-- [Vanish]
     [714] = 1,     	-- [Vendetta] (Assassination)
  -- [731] = ,     	-- [Deadly Momentum]

-- Mage  1 = Arcane, 2 = Fire, 3 = Frost
  -- [313] = ,     	-- [Arcane Explosion]
     [651] = 1,     	-- [Arcane Power] (Arcane)
  -- [948] = ,     	-- [Armors]
  -- [314] = ,     	-- [Blink]
     [316] = 2,     	-- [Combustion] (Fire)
  -- [323] = ,     	-- [Cone of Cold]
  -- [871] = ,     	-- [Counterspell]
  -- [700] = ,     	-- [Deep Freeze]
  -- [315] = ,     	-- [Evocation]
  -- [928] = ,     	-- [Fire Blast]
  -- [318] = ,     	-- [Frost Nova]
  -- [591] = ,     	-- [Frostfire Bolt]
  -- [321] = ,     	-- [Ice Block]
  -- [322] = ,     	-- [Ice Lance]
     [330] = 3,     	-- [Icy Veins] (Frost)
  -- [325] = ,     	-- [Invisibility]
  -- [326] = ,     	-- [Mana Gem]
  -- [329] = ,     	-- [Polymorph]
  -- [611] = ,     	-- [Remove Curse]
     [697] = 1,     	-- [Slow] (Arcane)
  -- [331] = ,     	-- [Spellsteal]
     [696] = 3,     	-- [Water Elemental] (Frost)

-- Druid  1 = Balance, 2 = Feral, 3 = Guardian, 4 = Restoration
  -- [551] = ,     	-- [Dash]
  -- [831] = ,     	-- [Ferocious Bite]
  -- [161] = ,     	-- [Frenzied Regeneration]
  -- [177] = ,     	-- [Hurricane]
     [174] = 4,     	-- [Lifebloom] (Restoration)
  -- [673] = ,     	-- [Might of Ursoc]
     [172] = 4,     	-- [Rejuvenation] (Restoration)
  -- [674] = ,     	-- [Stampeding Roar]
     [175] = 1,     	-- [The Moonbeast] (Balance)
  -- [181] = ,     	-- [Entangling Roots]
  -- [169] = ,     	-- [Innervate]
     [163] = 1,     	-- [Solar Beam] (Balance)
     [671] = 3,     	-- [Survival Instincts] (Guardian)
  -- [162] = ,     	-- [Maul]
  -- [675] = ,     	-- [Cyclone]
     [173] = 4,     	-- [Healing Touch] (Restoration)
     [180] = 2,     	-- [Savagery] (Feral)
  -- [167] = ,     	-- [Pounce]
  -- [170] = ,     	-- [Rebirth]
     [171] = 4,     	-- [Regrowth] (Restoration)
  -- [676] = ,     	-- [Barkskin]
  -- [166] = ,     	-- [Prowl]
     [165] = 2,     	-- [Shred] (Feral)
     [178] = {2,3},    	-- [Skull Bash] (Feral, Guardian)
  -- [934] = ,     	-- [Faerie Fire]
  -- [936] = ,     	-- [Cat Form]
  -- [631] = ,     	-- [Master Shapeshifter]
     [434] = 4,     	-- [Blooming] (Restoration)
  -- [179] = ,     	-- [Nature's Grasp]
  -- [933] = ,     	-- [Fae Silence]
  -- [168] = ,     	-- [Stampede]
     [672] = 4,     	-- [Wild Growth] (Restoration)

-- Death Knight  1 = Blood, 2 = Frost, 3 = Unholy
  -- [512] = ,     	-- [Anti-Magic Shell]
  -- [516] = ,     	-- [Chains of Ice]
     [768] = 1,     	-- [Dancing Rune Weapon] (Blood)
  -- [769] = ,     	-- [Dark Simulacrum]
  -- [945] = ,     	-- [Dark Succor]
  -- [520] = ,     	-- [Death and Decay]
  -- [771] = ,     	-- [Death Coil]
  -- [519] = ,     	-- [Death Grip]
  -- [525] = ,     	-- [Enduring Infection]
  -- [515] = ,     	-- [Icebound Fortitude]
  -- [524] = ,     	-- [Icy Touch]
  -- [527] = ,     	-- [Mind Freeze]
  -- [557] = ,     	-- [Outbreak]
  -- [526] = ,     	-- [Pestilence]
     [531] = 2,     	-- [Pillar of Frost] (Frost)
  -- [521] = ,     	-- [Shifting Presences]
  -- [530] = ,     	-- [Strangulate]
  -- [556] = ,     	-- [Unholy Command]
     [513] = 3,     	-- [Unholy Frenzy] (Unholy)
     [532] = 1,     	-- [Vampiric Blood] (Blood)

-- Hunter  1 = Beast Mastery, 2 = Marksmanship, 3 = Survival
  -- [352] = ,     	-- [Camouflage]
     [677] = 2,     	-- [Chimera Shot] (Marksman)
  -- [358] = ,     	-- [Disengage]
  -- [355] = ,     	-- [Distracting Shot]
  -- [362] = ,     	-- [Explosive Trap]
  -- [360] = ,     	-- [Ice Trap]
  -- [371] = ,     	-- [Icy Solace]
  -- [361] = ,     	-- [Misdirection]
  -- [694] = ,     	-- [Scatter Shot]
  -- [691] = ,     	-- [Tranquilizing Shot]
  -- [693] = ,     	-- [Master's Call]
  -- [354] = ,     	-- [Mending]
  -- [364] = ,     	-- [No Escape]
     [356] = 1,     	-- [Endless Wrath] (Beastmaster)
  -- [695] = ,     	-- [Mirrored Blades]
  -- [359] = ,     	-- [Freezing Trap]
  -- [367] = ,     	-- [Snake Trap]
  -- [1023] = ,     	-- [Black Ice]
  -- [353] = ,     	-- [Marked For Death]
  -- [363] = ,     	-- [Animal Bond]
  -- [357] = ,     	-- [Deterrence]
  -- [369] = ,     	-- [Mend Pet]
  -- [365] = ,     	-- [Pathfinding]
  -- [368] = ,     	-- [Scattering]

-- Priest  1 = Discipline, 2 = Holy, 3 = Shadow
     [251] = 2,     	-- [Circle of Healing] (Holy)
     [711] = 3,     	-- [Dark Binding] (Shadow)
     [713] = {1,2},    	-- [Desperation] (Discipline, Holy)
  -- [269] = ,     	-- [Dispel Magic]
     [708] = 3,     	-- [Dispersion] (Shadow)
  -- [254] = ,     	-- [Fear Ward]
     [261] = {1,2},    	-- [Holy Fire] (Discipline, Holy)
  -- [256] = ,     	-- [Holy Nova]
  -- [257] = ,     	-- [Inner Fire]
     [262] = 1,     	-- [Inner Focus] (Discipline)
  -- [255] = ,     	-- [Inner Sanctum]
  -- [709] = ,     	-- [Leap of Faith]
  -- [459] = ,     	-- [Levitate]
     [1046] = 2,     	-- [Lightspring] (Holy)
     [258] = 2,     	-- [Lightwell] (Holy)
  -- [259] = ,     	-- [Mass Dispel]
     [268] = 3,     	-- [Mind Blast] (Shadow)
     [1003] = 3,     	-- [Mind Flay] (Shadow)
     [712] = 3,     	-- [Mind Spike] (Shadow)
     [710] = 1,     	-- [Penance] (Discipline)
  -- [263] = ,     	-- [Power Word: Shield]
  -- [271] = ,     	-- [Prayer of Mending]
     [260] = 3,     	-- [Psychic Horror] (Shadow)
  -- [265] = ,     	-- [Psychic Scream]
     [252] = {1,2},    	-- [Purify] (Discipline, Holy)
  -- [462] = ,     	-- [Reflective Shield]
  -- [266] = ,     	-- [Renew]
  -- [267] = ,     	-- [Scourge Imprisonment]
  -- [1005] = ,     	-- [Shadow Word: Death]
     [270] = {1,2},    	-- [Smite] (Discipline, Holy)
     [264] = 2,     	-- [Spirit of Redemption] (Holy)
     [1006] = 3,     	-- [Vampiric Embrace] (Shadow)
  -- [253] = ,     	-- [Fade]

-- Warlock  1 = Affliction, 2 = Demonology, 3 = Destruction
     [757] = 3,     	-- [Burning Embers] (Destruction)
     [273] = 3,     	-- [Conflagrate] (Destruction)
     [480] = 1,     	-- [Curse of Exhaustion] (Affliction)
  -- [283] = ,     	-- [Dark Soul]
     [756] = 2,     	-- [Demon Hunting] (Demonology)
  -- [279] = ,     	-- [Demon Training]
  -- [758] = ,     	-- [Demonic Circle]
     [911] = {1,2},    	-- [Everlasting Affliction] (Affliction, Demonology)
  -- [277] = ,     	-- [Fear]
  -- [281] = ,     	-- [Healthstone]
     [284] = 2,     	-- [Imp Swarm] (Demonology)
  -- [760] = ,     	-- [Life Tap]
     [759] = 2,     	-- [Shadowflame] (Demonology)
  -- [274] = ,     	-- [Siphon Life]
  -- [478] = ,     	-- [Soul Consumption]
     [755] = 1,     	-- [Soul Shards] (Affliction)
     [285] = 1,     	-- [Soul Swap] (Affliction)
  -- [289] = ,     	-- [Soulstone]
     [291] = 1,     	-- [Unstable Affliction] (Affliction)

-- Monk  1 = Brewmaster, 2 = Mistweaver, 3 = Windwalker
     [1037] = 3,    	-- [Afterlife] (Windwalker)
     [1015] = 1,    	-- [Breath of Fire] (Brewmaster)
     [1016] = 1,    	-- [Clash] (Brewmaster)
  -- [1032] = ,    	-- [Crackling Jade Lightning]
  -- [1002] = ,    	-- [Enduring Healing Sphere]
  -- [997] = ,    	-- [Expel Harm]
     [1035] = 3,    	-- [Fists of Fury] (Windwalker)
  -- [1030] = ,    	-- [Fortifying Brew]
     [998] = 1,    	-- [Guard] (Brewmaster)
     [1021] = 1,    	-- [Leer of the Ox] (Brewmaster)
     [1026] = 2,    	-- [Life Cocoon] (Mistweaver)
     [1019] = 2,    	-- [Mana Tea] (Mistweaver)
  -- [1040] = ,    	-- [Path of Blossoms]
     [1013] = 2,    	-- [Renewing Mist] (Mistweaver)
  -- [1025] = ,    	-- [Retreat]
     [1036] = 3,    	-- [Sparring] (Windwalker)
  -- [1012] = ,    	-- [Spinning Crane Kick]
  -- [1031] = ,    	-- [Stoneskin]
     [1001] = 2,    	-- [Surging Mist] (Mistweaver)
  -- [1014] = ,    	-- [Touch of Death]
     [1038] = 3,    	-- [Touch of Karma] (Windwalker)
  -- [1011] = ,    	-- [Transcendence]
     [1034] = 2,    	-- [Uplift] (Mistweaver)
  -- [999] = ,    	-- [Zen Meditation]

}
  
